## org.eclipse.emf.cdo.spi.server
Class LongIDStoreAccessor

    java.lang.Object
      org.eclipse.net4j.util.event.Notifier
          org.eclipse.net4j.util.lifecycle.Lifecycle
              org.eclipse.emf.cdo.spi.server.StoreAccessor
                  org.eclipse.emf.cdo.spi.server.LongIDStoreAccessor

All Implemented Interfaces:
  IQueryHandlerProvider, IStoreAccessor, org.eclipse.net4j.util.event.INotifier, org.eclipse.net4j.util.event.INotifier.Introspection, org.eclipse.net4j.util.lifecycle.ILifecycle, org.eclipse.net4j.util.lifecycle.ILifecycle.Introspection

    public abstract class LongIDStoreAccessor

extends StoreAccessor

Since:
  2.0

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.server.IStoreAccessor
`IStoreAccessor.AdditionalRevisionCache, IStoreAccessor.CommitContext, IStoreAccessor.QueryResourcesContext`

Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle
`org.eclipse.net4j.util.lifecycle.ILifecycle.Introspection`

Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier
`org.eclipse.net4j.util.event.INotifier.Introspection`

Field Summary

Fields inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle
`USE_LABEL`

Constructor Summary
`protected` `LongIDStoreAccessor(Store store, ISession session)`
`protected` `LongIDStoreAccessor(Store store, ITransaction transaction)`

Method Summary
`protected void` `addIDMappings(IStoreAccessor.CommitContext context, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)` Add ID mappings for all new objects of a transaction to the commit context.

Methods inherited from class org.eclipse.emf.cdo.spi.server.StoreAccessor
`detachObjects, doActivate, doDeactivate, doPassivate, doUnpassivate, getSession, getStore, getTransaction, isReader, readResourceID, release, rollback, rollback, verifyRevision, write, writeRevisionDeltas, writeRevisions`

Methods inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle
`activate, checkActive, checkArg, checkArg, checkInactive, checkNull, checkState, checkState, deactivate, deferredActivate, doBeforeActivate, doBeforeDeactivate, dump, getLifecycleState, isActive, isDeferredActivation, toString`

Methods inherited from class org.eclipse.net4j.util.event.Notifier
`addListener, fireEvent, getListeners, getNotificationExecutorService, hasListeners, listenersEmptyChanged, removeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.cdo.server.IStoreAccessor
`commit, createChunkReader, loadPackageUnit, queryResources, readPackageUnits, readRevision, readRevisionByTime, readRevisionByVersion, refreshRevisions, writePackageUnits`

Methods inherited from interface org.eclipse.emf.cdo.server.IQueryHandlerProvider
`getQueryHandler`

Constructor Detail

### LongIDStoreAccessor

    protected LongIDStoreAccessor(Store store,
                                  ISession session)

### LongIDStoreAccessor

    protected LongIDStoreAccessor(Store store,
                                  ITransaction transaction)

Method Detail

### addIDMappings

    protected void addIDMappings(IStoreAccessor.CommitContext context,
                                 org.eclipse.net4j.util.om.monitor.OMMonitor monitor)

  Description copied from class: `StoreAccessor`
  Add ID mappings for all new objects of a transaction to the commit context. The implementor must, for each new object of the commit context, determine a permanent CDOID and make it known to the context by calling `CommitContext#addIDMapping(CDOIDTemp, CDOID)`.

  Specified by:
    `addIDMappings` in class `StoreAccessor`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.